#define NNFORMQL_API __declspec(dllexport)

NNFORMQL_API int __stdcall  CreateNN(const int Layers, int *Neurons, 
									 const double Alpha, const double Moment,
									 const double StartSpeed, const double FinishSpeed);
NNFORMQL_API int __stdcall  DestroyNN(const int NumNet);
NNFORMQL_API int __stdcall SaveNN(const int NumNet, char *FileName);
NNFORMQL_API int __stdcall LoadNN(char *FileName);
NNFORMQL_API int __stdcall RunNN(const int NumNet, const double *Input, double *Output);
NNFORMQL_API int __stdcall TrainNN(const int NumNet, const int CountPattern,
										const double *InPattern, const double* OutPattern,
										const int EpohCount, const double Kerror);
NNFORMQL_API int __stdcall  GetEpohNN(const int nn);
NNFORMQL_API double __stdcall  GetErrorNN(const int nn);
NNFORMQL_API int __stdcall  GetLayersNN(const int nn);
NNFORMQL_API int __stdcall  GetNeuronsNN(const int nn, const int Layers);

//-codes of errors
#define ErrorNetNotFound        -11
#define ErrorIncorrectParam     -12
#define ErrorNetNotTrain		-13
